<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

////#[ORM\Entity]
class Employee1 extends Person1
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(type: 'integer')]
    private int $id;

    #[ORM\Column(type: 'string')]
    private string $job;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     * @return Employee1
     */
    public function setId(int $id): Employee1
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @return string
     */
    public function getJob(): string
    {
        return $this->job;
    }

    /**
     * @param string $job
     * @return Employee1
     */
    public function setJob(string $job): Employee1
    {
        $this->job = $job;
        return $this;
    }


}