<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

////#[ORM\Entity]
class Toothbrush1
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(type: 'integer')]
    private int $id;

    #[ORM\Column(type: 'string')]
    private string $brand;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     * @return Toothbrush1
     */
    public function setId(int $id): Toothbrush1
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @return string
     */
    public function getBrand(): string
    {
        return $this->brand;
    }

    /**
     * @param string $brand
     * @return Toothbrush1
     */
    public function setBrand(string $brand): Toothbrush1
    {
        $this->brand = $brand;
        return $this;
    }

}